Index: src/tools/pgindent/pgindent
===================================================================
RCS file: /projects/cvsroot/pgsql/src/tools/pgindent/pgindent,v
retrieving revision 1.73
diff -c -r1.73 pgindent
*** src/tools/pgindent/pgindent	7 Oct 2004 14:15:50 -0000	1.73
--- src/tools/pgindent/pgindent	28 Jun 2005 04:43:48 -0000
***************
*** 56,62 ****
  			    line1 !~ "^typedef" &&
  			    line1 !~ "^extern[ 	][ 	]*\"C\"" &&
  			    line1 !~ "=" &&
! 			    line1 ~ "\)")
  				print "int	pgindent_func_no_var_fix;";
  			line1 = line2;
  		}
--- 56,62 ----
  			    line1 !~ "^typedef" &&
  			    line1 !~ "^extern[ 	][ 	]*\"C\"" &&
  			    line1 !~ "=" &&
! 			    line1 ~ ")")
  				print "int	pgindent_func_no_var_fix;";
  			line1 = line2;
  		}
***************
*** 106,145 ****
  # We get the list of typedef's from /src/tools/find_typedef
  	indent -bad -bap -bc -bl -d0 -cdb -nce -nfc1 -di12 -i4 -l79 \
  		-lp -nip -npro -bbb $EXTRA_OPTS \
- -TAES_KEY \
- -TAMT \
- -TAMTS \
- -TASN1_BIT_STRING \
- -TASN1_BMPSTRING \
- -TASN1_BOOLEAN \
- -TASN1_CTX \
- -TASN1_ENCODING \
- -TASN1_ENUMERATED \
- -TASN1_GENERALIZEDTIME \
- -TASN1_GENERALSTRING \
- -TASN1_HEADER \
- -TASN1_IA5STRING \
- -TASN1_INTEGER \
- -TASN1_ITEM \
- -TASN1_ITEM_EXP \
- -TASN1_METHOD \
- -TASN1_NULL \
- -TASN1_OBJECT \
- -TASN1_OCTET_STRING \
- -TASN1_PRINTABLESTRING \
- -TASN1_STRING \
- -TASN1_STRING_TABLE \
- -TASN1_T61STRING \
- -TASN1_TEMPLATE \
- -TASN1_TIME \
- -TASN1_TLC \
- -TASN1_TYPE \
- -TASN1_UNIVERSALSTRING \
- -TASN1_UTCTIME \
- -TASN1_UTF8STRING \
- -TASN1_VALUE \
- -TASN1_VISIBLESTRING \
- -TAV \
  -TA_Const \
  -TA_Expr \
  -TA_Expr_Kind \
--- 106,111 ----
***************
*** 153,175 ****
  -TAclMode \
  -TAclObjectKind \
  -TAclResult \
  -TAgg \
! -TAggHashEntry \
! -TAggHashEntryData \
  -TAggInfo \
  -TAggState \
  -TAggStatePerAgg \
- -TAggStatePerAggData \
  -TAggStatePerGroup \
- -TAggStatePerGroupData \
  -TAggStrategy \
  -TAggref \
  -TAggrefExprState \
  -TAlias \
  -TAllocBlock \
- -TAllocBlockData \
  -TAllocChunk \
- -TAllocChunkData \
  -TAllocPointer \
  -TAllocSet \
  -TAllocSetContext \
--- 119,138 ----
  -TAclMode \
  -TAclObjectKind \
  -TAclResult \
+ -TAfterTriggerEvent \
+ -TAfterTriggerEventList \
  -TAgg \
! -TAggClauseCounts \
  -TAggInfo \
  -TAggState \
  -TAggStatePerAgg \
  -TAggStatePerGroup \
  -TAggStrategy \
  -TAggref \
  -TAggrefExprState \
  -TAlias \
  -TAllocBlock \
  -TAllocChunk \
  -TAllocPointer \
  -TAllocSet \
  -TAllocSetContext \
***************
*** 177,182 ****
--- 140,146 ----
  -TAllocateDescKind \
  -TAlterDatabaseSetStmt \
  -TAlterDomainStmt \
+ -TAlterFunctionStmt \
  -TAlterGroupStmt \
  -TAlterOwnerStmt \
  -TAlterSeqStmt \
***************
*** 200,229 ****
  -TArrayBuildState \
  -TArrayExpr \
  -TArrayExprState \
  -TArrayMetaState \
  -TArrayParseState \
  -TArrayRef \
  -TArrayRefExprState \
  -TArrayType \
  -TAttInMetadata \
- -TAttrDefInfo \
  -TAttrDefault \
  -TAttrNumber \
  -TAuthRequest \
- -TBF_KEY \
- -TBIGNUM \
- -TBINOP \
- -TBIO \
- -TBIO_F_BUFFER_CTX \
- -TBIO_METHOD \
- -TBIO_dummy \
- -TBIT_STRING_BITNAME \
- -TBLOCK \
  -TBMS_Membership \
- -TBN_BLINDING \
- -TBN_CTX \
- -TBN_MONT_CTX \
- -TBN_RECP_CTX \
  -TBOX \
  -TBTBuildState \
  -TBTItem \
--- 164,181 ----
  -TArrayBuildState \
  -TArrayExpr \
  -TArrayExprState \
+ -TArrayMapState \
  -TArrayMetaState \
  -TArrayParseState \
  -TArrayRef \
  -TArrayRefExprState \
+ -TArrayTuple \
  -TArrayType \
  -TAttInMetadata \
  -TAttrDefault \
  -TAttrNumber \
  -TAuthRequest \
  -TBMS_Membership \
  -TBOX \
  -TBTBuildState \
  -TBTItem \
***************
*** 238,260 ****
  -TBTStack \
  -TBTStackData \
  -TBTWriteState \
- -TBUF_MEM \
  -TBackend \
  -TBackendId \
  -TBgWriterRequest \
  -TBgWriterShmemStruct \
  -TBitmapset \
  -TBkpBlock \
  -TBlock \
- -TBlockId \
  -TBlockIdData \
  -TBlockNumber \
- -TBlockSampler \
- -TBlockSamplerData \
  -TBoolExpr \
  -TBoolExprState \
  -TBoolExprType \
- -TBoolPtr \
  -TBoolTestType \
  -TBooleanTest \
  -TBpChar \
--- 190,218 ----
  -TBTStack \
  -TBTStackData \
  -TBTWriteState \
  -TBackend \
  -TBackendId \
  -TBgWriterRequest \
  -TBgWriterShmemStruct \
+ -TBitmapAnd \
+ -TBitmapAndPath \
+ -TBitmapAndState \
+ -TBitmapHeapPath \
+ -TBitmapHeapScan \
+ -TBitmapHeapScanState \
+ -TBitmapIndexScan \
+ -TBitmapIndexScanState \
+ -TBitmapOr \
+ -TBitmapOrPath \
+ -TBitmapOrState \
  -TBitmapset \
  -TBkpBlock \
  -TBlock \
  -TBlockIdData \
  -TBlockNumber \
  -TBoolExpr \
  -TBoolExprState \
  -TBoolExprType \
  -TBoolTestType \
  -TBooleanTest \
  -TBpChar \
***************
*** 264,295 ****
  -TBuffer \
  -TBufferDesc \
  -TBufferLookupEnt \
- -TBufferStrategyCDB \
  -TBufferStrategyControl \
  -TBufferTag \
  -TByte \
  -TBytef \
  -TCAC_state \
- -TCAST_KEY \
  -TCATEGORY \
- -TCFuncHashTabEntry \
  -TCIRCLE \
- -TCOMP_CTX \
- -TCOMP_METHOD \
- -TCONDOP \
- -TCOP \
- -TCPFunction \
- -TCPPFunction \
- -TCRYPTO_EX_DATA \
- -TCRYPTO_EX_DATA_FUNCS \
- -TCRYPTO_EX_DATA_IMPL \
- -TCRYPTO_EX_dup \
- -TCRYPTO_EX_free \
- -TCRYPTO_EX_new \
- -TCRYPTO_MEM_LEAK_CB \
- -TCRYPTO_dynlock \
- -TCURCUR \
- -TCV \
  -TCacheCallbackFunction \
  -TCancelRequestPacket \
  -TCaseExpr \
--- 222,234 ----
***************
*** 307,316 ****
  -TCatalogIndexState \
  -TChangeVarNodes_context \
  -TCheckPoint \
- -TCheckPointStmt \
  -TChromosome \
  -TCity \
- -TClientData \
  -TClosePortalStmt \
  -TClosePtr \
  -TClusterStmt \
--- 246,253 ----
***************
*** 320,326 ****
  -TCoerceToDomain \
  -TCoerceToDomainState \
  -TCoerceToDomainValue \
- -TCoercionCodes \
  -TCoercionContext \
  -TCoercionForm \
  -TColumnDef \
--- 257,262 ----
***************
*** 342,349 ****
  -TContainsOids \
  -TControlFileData \
  -TConvInfo \
  -TCookedConstraint \
- -TCopyDest \
  -TCopyReadResult \
  -TCopyStmt \
  -TCost \
--- 278,286 ----
  -TContainsOids \
  -TControlFileData \
  -TConvInfo \
+ -TConvertRowtypeExpr \
+ -TConvertRowtypeExprState \
  -TCookedConstraint \
  -TCopyReadResult \
  -TCopyStmt \
  -TCost \
***************
*** 357,363 ****
  -TCreateOpClassStmt \
  -TCreatePLangStmt \
  -TCreateSchemaStmt \
- -TCreateSchemaStmtContext \
  -TCreateSeqStmt \
  -TCreateStmt \
  -TCreateStmtContext \
--- 294,299 ----
***************
*** 365,410 ****
  -TCreateTrigStmt \
  -TCreateUserStmt \
  -TCreatedbStmt \
- -TCred \
  -TCtlCommand \
  -TCustomOutPtr \
  -TDBState \
  -TDCHCacheEntry \
- -TDCH_poz \
  -TDEADLOCK_INFO \
- -TDES_cblock \
- -TDES_key_schedule \
- -TDH \
- -TDH_METHOD \
  -TDIR \
  -TDR_printtup \
- -TDSA \
- -TDSA_METHOD \
- -TDSA_SIG \
  -TDataDumperPtr \
  -TDateADT \
  -TDatum \
- -TDatumPtr \
  -TDatumTuple \
  -TDatumTupleFields \
  -TDeallocateStmt \
  -TDeclareCursorStmt \
  -TDefElem \
- -TDeferredTriggerEvent \
- -TDeferredTriggerEventData \
- -TDeferredTriggerEventItem \
- -TDeferredTriggerState \
- -TDeferredTriggerStateData \
- -TDeferredTriggerStatus \
- -TDeferredTriggerStatusData \
- -TDeferredTriggers \
- -TDeferredTriggersData \
  -TDefineStmt \
  -TDeleteStmt \
  -TDependencyType \
  -TDestReceiver \
  -TDistinctExpr \
- -TDl_info \
  -TDlelem \
  -TDllist \
  -TDomainConstraintState \
--- 301,326 ----
***************
*** 421,452 ****
  -TDumpId \
  -TDumpableObject \
  -TDumpableObjectType \
- -TDupHashTabEntry \
  -TDynamicFileList \
  -TEDGE \
- -TENGINE \
- -TERR_FNS \
- -TERR_STATE \
- -TERR_STRING_DATA \
  -TEState \
- -TEVP_CIPHER \
- -TEVP_CIPHER_CTX \
- -TEVP_CIPHER_INFO \
- -TEVP_ENCODE_CTX \
- -TEVP_MD \
- -TEVP_MD_CTX \
- -TEVP_PBE_KEYGEN \
- -TEVP_PKEY \
  -TEdge \
  -TEndBlobPtr \
  -TEndBlobsPtr \
  -TEndDataPtr \
- -TEolType \
  -TErrorContextCallback \
  -TErrorData \
  -TExceptionLabelMap \
- -TExecContext \
- -TExecContextData \
  -TExecScanAccessMtd \
  -TExecStatus \
  -TExecStatusType \
--- 337,352 ----
***************
*** 460,471 ****
  -TExprDoneCond \
  -TExprState \
  -TExprStateEvalFunc \
- -TFF \
  -TFILE \
- -TFSMHeader \
  -TFSMPageData \
  -TFSMRelation \
- -TFUNMAP \
  -TFetchDirection \
  -TFetchStmt \
  -TFieldSelect \
--- 360,368 ----
***************
*** 481,487 ****
  -TFormData_pg_aggregate \
  -TFormData_pg_am \
  -TFormData_pg_amop \
- -TFormData_pg_amproc \
  -TFormData_pg_attrdef \
  -TFormData_pg_attribute \
  -TFormData_pg_cast \
--- 378,383 ----
***************
*** 490,499 ****
  -TFormData_pg_conversion \
  -TFormData_pg_database \
  -TFormData_pg_depend \
- -TFormData_pg_description \
  -TFormData_pg_group \
  -TFormData_pg_index \
- -TFormData_pg_inherits \
  -TFormData_pg_language \
  -TFormData_pg_largeobject \
  -TFormData_pg_listener \
--- 386,393 ----
***************
*** 511,517 ****
  -TForm_pg_aggregate \
  -TForm_pg_am \
  -TForm_pg_amop \
- -TForm_pg_amproc \
  -TForm_pg_attrdef \
  -TForm_pg_attribute \
  -TForm_pg_cast \
--- 405,410 ----
***************
*** 520,529 ****
  -TForm_pg_conversion \
  -TForm_pg_database \
  -TForm_pg_depend \
- -TForm_pg_description \
  -TForm_pg_group \
  -TForm_pg_index \
- -TForm_pg_inherits \
  -TForm_pg_language \
  -TForm_pg_largeobject \
  -TForm_pg_listener \
--- 413,420 ----
***************
*** 550,564 ****
  -TFuncExprState \
  -TFuncInfo \
  -TFuncWithArgs \
- -TFunction \
  -TFunctionCallInfo \
  -TFunctionCallInfoData \
  -TFunctionParameter \
  -TFunctionScan \
  -TFunctionScanState \
- -TGEN_SESSION_CB \
  -TGISTBuildState \
  -TGISTENTRY \
  -TGISTPageOpaque \
  -TGISTPageOpaqueData \
  -TGISTSTACK \
--- 441,456 ----
  -TFuncExprState \
  -TFuncInfo \
  -TFuncWithArgs \
  -TFunctionCallInfo \
  -TFunctionCallInfoData \
  -TFunctionParameter \
+ -TFunctionParameterMode \
  -TFunctionScan \
  -TFunctionScanState \
  -TGISTBuildState \
  -TGISTENTRY \
+ -TGISTInsertStack \
+ -TGISTInsertState \
  -TGISTPageOpaque \
  -TGISTPageOpaqueData \
  -TGISTSTACK \
***************
*** 568,587 ****
  -TGISTScanOpaque \
  -TGISTScanOpaqueData \
  -TGIST_SPLITVEC \
- -TGP \
  -TGUC_yy_size_t \
  -TGUC_yy_state_type \
- -TGV \
- -TGVOP \
  -TGene \
  -TGenericExprState \
  -TGeqoEvalData \
  -TGistEntryVector \
  -TGrantObjectType \
  -TGrantStmt \
  -TGroup \
  -TGroupClause \
  -TGroupState \
  -TGucBoolAssignHook \
  -TGucContext \
  -TGucIntAssignHook \
--- 460,480 ----
  -TGISTScanOpaque \
  -TGISTScanOpaqueData \
  -TGIST_SPLITVEC \
  -TGUC_yy_size_t \
  -TGUC_yy_state_type \
  -TGene \
  -TGenericExprState \
  -TGeqoEvalData \
+ -TGistBDItem \
  -TGistEntryVector \
+ -TGistVacuum \
+ -TGlobalTransaction \
  -TGrantObjectType \
  -TGrantStmt \
  -TGroup \
  -TGroupClause \
  -TGroupState \
+ -TGroupVarInfo \
  -TGucBoolAssignHook \
  -TGucContext \
  -TGucIntAssignHook \
***************
*** 597,620 ****
  -THASHHDR \
  -THASHSEGMENT \
  -THASH_SEQ_STATUS \
- -THE \
- -THEK \
- -THISTORY_STATE \
- -THIST_ENTRY \
  -THTAB \
  -THTSV_Result \
- -THV \
  -THash \
  -THashAllocFunc \
  -THashBuildState \
  -THashCompareFunc \
  -THashItem \
  -THashItemData \
  -THashJoin \
  -THashJoinState \
  -THashJoinTable \
  -THashJoinTuple \
- -THashJoinTupleData \
  -THashMetaPage \
  -THashMetaPageData \
  -THashPageOpaque \
--- 490,509 ----
  -THASHHDR \
  -THASHSEGMENT \
  -THASH_SEQ_STATUS \
  -THTAB \
+ -THTSU_Result \
  -THTSV_Result \
  -THash \
  -THashAllocFunc \
  -THashBuildState \
  -THashCompareFunc \
+ -THashCopyFunc \
  -THashItem \
  -THashItemData \
  -THashJoin \
  -THashJoinState \
  -THashJoinTable \
  -THashJoinTuple \
  -THashMetaPage \
  -THashMetaPageData \
  -THashPageOpaque \
***************
*** 625,631 ****
  -THashScanOpaque \
  -THashScanOpaqueData \
  -THashState \
- -THashTableData \
  -THashValueFunc \
  -THeapScanDesc \
  -THeapScanDescData \
--- 514,519 ----
***************
*** 634,652 ****
  -THeapTupleFields \
  -THeapTupleHeader \
  -THeapTupleHeaderData \
- -TI16 \
- -TI32 \
- -TI8 \
- -TIO \
  -TIOFuncSelector \
- -TIV \
- -TIV64 \
  -TIdList \
  -TInClauseInfo \
  -TIncrementVarSublevelsUp_context \
  -TIndex \
- -TIndexAttributeBitMap \
- -TIndexAttributeBitMapData \
  -TIndexBuildCallback \
  -TIndexBulkDeleteCallback \
  -TIndexBulkDeleteResult \
--- 522,532 ----
***************
*** 659,665 ****
  -TIndexScan \
  -TIndexScanDesc \
  -TIndexScanDescData \
- -TIndexScanDescPtr \
  -TIndexScanState \
  -TIndexStmt \
  -TIndexTuple \
--- 539,544 ----
***************
*** 669,679 ****
  -TIndxInfo \
  -TInhInfo \
  -TInhOption \
- -TInhPaths \
  -TInhRelation \
  -TInnerIndexscanInfo \
- -TInsertIndexResult \
- -TInsertIndexResultData \
  -TInsertStmt \
  -TInstrumentation \
  -TInt8TransTypeData \
--- 548,555 ----
***************
*** 686,722 ****
  -TInvalidationListHeader \
  -TIpcMemoryId \
  -TIpcMemoryKey \
- -TIpcSemaphoreId \
- -TIpcSemaphoreKey \
  -TItem \
  -TItemId \
  -TItemIdData \
  -TItemIdFlags \
- -TItemLength \
- -TItemOffset \
  -TItemPointer \
  -TItemPointerData \
- -TJMPENV \
  -TJoin \
  -TJoinExpr \
- -TJoinInfo \
  -TJoinPath \
  -TJoinState \
  -TJoinType \
  -TJunkFilter \
- -TKEYMAP_ENTRY \
- -TKEYMAP_ENTRY_ARRAY \
  -TKeySuffix \
  -TKeyWord \
- -TKeymap \
- -TLHASH \
- -TLHASH_COMP_FN_TYPE \
- -TLHASH_DOALL_ARG_FN_TYPE \
- -TLHASH_DOALL_FN_TYPE \
- -TLHASH_HASH_FN_TYPE \
- -TLHASH_NODE \
  -TLINE \
- -TLISTOP \
  -TLOCALLOCK \
  -TLOCALLOCKOWNER \
  -TLOCALLOCKTAG \
--- 562,582 ----
***************
*** 725,732 ****
  -TLOCKMETHODID \
  -TLOCKMODE \
  -TLOCKTAG \
- -TLOGOP \
- -TLOOP \
  -TLSEG \
  -TLVRelStats \
  -TLWLock \
--- 585,590 ----
***************
*** 741,762 ****
  -TListenStmt \
  -TLoadStmt \
  -TLocationIndex \
  -TLockData \
- -TLockInfo \
  -TLockInfoData \
  -TLockMethod \
  -TLockMethodData \
  -TLockRelId \
  -TLockStmt \
  -TLogStmtLevel \
  -TLogicalTape \
  -TLogicalTapeSet \
- -TMAGIC \
- -TMD2_CTX \
- -TMD4_CTX \
- -TMD5_CTX \
- -TMDC2_CTX \
- -TMGVTBL \
  -TMaterial \
  -TMaterialPath \
  -TMaterialState \
--- 599,615 ----
  -TListenStmt \
  -TLoadStmt \
  -TLocationIndex \
+ -TLockAcquireResult \
  -TLockData \
  -TLockInfoData \
  -TLockMethod \
  -TLockMethodData \
  -TLockRelId \
  -TLockStmt \
+ -TLockTupleMode \
  -TLogStmtLevel \
  -TLogicalTape \
  -TLogicalTapeSet \
  -TMaterial \
  -TMaterialPath \
  -TMaterialState \
***************
*** 764,782 ****
  -TMemoryContext \
  -TMemoryContextData \
  -TMemoryContextMethods \
  -TMergeJoin \
  -TMergeJoinState \
  -TMergePath \
  -TMsgType \
! -TMyVarInfo \
! -TNETSCAPE_CERT_SEQUENCE \
! -TNETSCAPE_SPKAC \
! -TNETSCAPE_SPKI \
  -TNUMCacheEntry \
  -TNUMDesc \
  -TNUMProc \
- -TNUM_poz \
- -TNV \
  -TName \
  -TNameData \
  -TNamespaceInfo \
--- 617,638 ----
  -TMemoryContext \
  -TMemoryContextData \
  -TMemoryContextMethods \
+ -TMergeFunctionKind \
  -TMergeJoin \
+ -TMergeJoinClause \
  -TMergeJoinState \
  -TMergePath \
+ -TMinMaxAggInfo \
  -TMsgType \
! -TMultiXactId \
! -TMultiXactOffset \
! -TNSLinkEditErrors \
! -TNSObjectFileImage \
! -TNSObjectFileImageReturnCode \
! -TNSSymbol \
  -TNUMCacheEntry \
  -TNUMDesc \
  -TNUMProc \
  -TName \
  -TNameData \
  -TNamespaceInfo \
***************
*** 785,790 ****
--- 641,647 ----
  -TNestPath \
  -TNewColumnValue \
  -TNewConstraint \
+ -TNewPage \
  -TNode \
  -TNodeTag \
  -TNotifyStmt \
***************
*** 795,802 ****
  -TNumericData \
  -TNumericDigit \
  -TNumericVar \
- -TOBJ_NAME \
- -TOP \
  -TObjectAddress \
  -TObjectAddresses \
  -TObjectClass \
--- 652,657 ----
***************
*** 809,815 ****
  -TOldstyle_fnextra \
  -TOnCommitAction \
  -TOnCommitItem \
- -TOpClassCacheEnt \
  -TOpClassMember \
  -TOpExpr \
  -TOpclassCandidateList \
--- 664,669 ----
***************
*** 817,833 ****
  -TOperator \
  -TOprInfo \
  -TOutputContext \
- -TOutrec \
- -TPADOFFSET \
  -TPATH \
- -TPBE2PARAM \
- -TPBEPARAM \
- -TPBKDF2PARAM \
- -TPEM_CTX \
- -TPEM_ENCODE_SEAL_CTX \
- -TPEM_USER \
- -TPERL_CONTEXT \
- -TPERL_SI \
  -TPGAsyncStatusType \
  -TPGErrorVerbosity \
  -TPGFInfoFunction \
--- 671,677 ----
***************
*** 839,844 ****
--- 683,689 ----
  -TPGMessageField \
  -TPGNoticeHooks \
  -TPGPROC \
+ -TPGQueryClass \
  -TPGSemaphore \
  -TPGSemaphoreData \
  -TPGSetenvStatusType \
***************
*** 846,851 ****
--- 691,697 ----
  -TPGTransactionStatusType \
  -TPGVerbosity \
  -TPG_Lock_Status \
+ -TPGcancel \
  -TPGconn \
  -TPGlobjfuncs \
  -TPGnotify \
***************
*** 853,877 ****
  -TPGresAttValue \
  -TPGresult \
  -TPGresult_data \
- -TPKCS7 \
- -TPKCS7_DIGEST \
- -TPKCS7_ENCRYPT \
- -TPKCS7_ENC_CONTENT \
- -TPKCS7_ENVELOPE \
- -TPKCS7_ISSUER_AND_SERIAL \
- -TPKCS7_RECIP_INFO \
- -TPKCS7_SIGNED \
- -TPKCS7_SIGNER_INFO \
- -TPKCS7_SIGN_ENVELOPE \
- -TPKCS8_PRIV_KEY_INFO \
  -TPLPGSQL_YYSTYPE \
- -TPLpgSQL_arrayelem \
  -TPLpgSQL_condition \
  -TPLpgSQL_datum \
  -TPLpgSQL_diag_item \
  -TPLpgSQL_dstring \
  -TPLpgSQL_exception \
! -TPLpgSQL_exceptions \
  -TPLpgSQL_execstate \
  -TPLpgSQL_expr \
  -TPLpgSQL_func_hashkey \
--- 699,711 ----
  -TPGresAttValue \
  -TPGresult \
  -TPGresult_data \
  -TPLPGSQL_YYSTYPE \
  -TPLpgSQL_condition \
  -TPLpgSQL_datum \
  -TPLpgSQL_diag_item \
  -TPLpgSQL_dstring \
  -TPLpgSQL_exception \
! -TPLpgSQL_exception_block \
  -TPLpgSQL_execstate \
  -TPLpgSQL_expr \
  -TPLpgSQL_func_hashkey \
***************
*** 879,913 ****
  -TPLpgSQL_ns \
  -TPLpgSQL_nsitem \
  -TPLpgSQL_rec \
- -TPLpgSQL_recfield \
  -TPLpgSQL_row \
  -TPLpgSQL_stmt \
- -TPLpgSQL_stmt_assign \
  -TPLpgSQL_stmt_block \
- -TPLpgSQL_stmt_close \
  -TPLpgSQL_stmt_dynexecute \
  -TPLpgSQL_stmt_dynfors \
- -TPLpgSQL_stmt_execsql \
- -TPLpgSQL_stmt_exit \
- -TPLpgSQL_stmt_fetch \
- -TPLpgSQL_stmt_fori \
  -TPLpgSQL_stmt_fors \
- -TPLpgSQL_stmt_getdiag \
- -TPLpgSQL_stmt_if \
- -TPLpgSQL_stmt_loop \
  -TPLpgSQL_stmt_open \
- -TPLpgSQL_stmt_perform \
  -TPLpgSQL_stmt_raise \
  -TPLpgSQL_stmt_return \
  -TPLpgSQL_stmt_return_next \
  -TPLpgSQL_stmt_select \
- -TPLpgSQL_stmt_while \
- -TPLpgSQL_stmts \
  -TPLpgSQL_trigarg \
  -TPLpgSQL_type \
  -TPLpgSQL_var \
  -TPLpgSQL_variable \
- -TPMOP \
  -TPMSignalReason \
  -TPOLYGON \
  -TPQArgBlock \
--- 713,733 ----
***************
*** 922,934 ****
  -TPROCLOCKTAG \
  -TPROC_HDR \
  -TPROC_QUEUE \
- -TPV \
- -TPVOP \
- -TPacketLen \
  -TPage \
  -TPageFreeSpaceInfo \
  -TPageHeader \
  -TPageHeaderData \
  -TParam \
  -TParamExecData \
  -TParamListInfo \
--- 742,753 ----
  -TPROCLOCKTAG \
  -TPROC_HDR \
  -TPROC_QUEUE \
  -TPage \
  -TPageFreeSpaceInfo \
  -TPageHeader \
  -TPageHeaderData \
+ -TPageSplitRecord \
+ -TPagetableEntry \
  -TParam \
  -TParamExecData \
  -TParamListInfo \
***************
*** 942,962 ****
  -TPattern_Type \
  -TPendingOperationEntry \
  -TPendingRelDelete \
- -TPerlExitListEntry \
- -TPerlInterpreter \
  -TPgStat_Counter \
  -TPgStat_Info \
- -TPgStat_Msg \
  -TPgStat_MsgActivity \
  -TPgStat_MsgBestart \
  -TPgStat_MsgBeterm \
- -TPgStat_MsgDropdb \
  -TPgStat_MsgDummy \
  -TPgStat_MsgHdr \
  -TPgStat_MsgResetcounter \
  -TPgStat_MsgTabpurge \
  -TPgStat_MsgTabstat \
- -TPgStat_StatBeDead \
  -TPgStat_StatBeEntry \
  -TPgStat_StatDBEntry \
  -TPgStat_StatTabEntry \
--- 761,776 ----
***************
*** 964,976 ****
  -TPg_finfo_record \
  -TPlan \
  -TPlanState \
  -TPlannerParamItem \
  -TPoint \
  -TPointer \
  -TPool \
  -TPort \
  -TPortal \
- -TPortalData \
  -TPortalHashEnt \
  -TPortalStatus \
  -TPortalStrategy \
--- 778,790 ----
  -TPg_finfo_record \
  -TPlan \
  -TPlanState \
+ -TPlannerInfo \
  -TPlannerParamItem \
  -TPoint \
  -TPointer \
  -TPool \
  -TPort \
  -TPortal \
  -TPortalHashEnt \
  -TPortalStatus \
  -TPortalStrategy \
***************
*** 982,987 ****
--- 796,802 ----
  -TPrinttupAttrInfo \
  -TPrivGrantee \
  -TPrivTarget \
+ -TProcArrayStruct \
  -TProcLangInfo \
  -TProcState \
  -TProcessingMode \
***************
*** 989,1008 ****
  -TProtocolVersion \
  -TPsqlScanResult \
  -TPsqlScanState \
- -TPsqlScanStateData \
- -TPsqlSettings \
  -TQualCost \
  -TQuery \
  -TQueryDesc \
  -TQuerySource \
- -TRC2_KEY \
- -TRC4_KEY \
- -TREGEXP \
- -TRIPEMD160_CTX \
  -TRI_QueryHashEntry \
  -TRI_QueryKey \
- -TRSA \
- -TRSA_METHOD \
  -TRTBuildState \
  -TRTEKind \
  -TRTSTACK \
--- 804,815 ----
***************
*** 1029,1042 ****
  -TReindexStmt \
  -TRelFileNode \
  -TRelIdCacheEnt \
- -TRelNameCacheEnt \
  -TRelOptInfo \
  -TRelOptKind \
  -TRelToCheck \
  -TRelToCluster \
  -TRelabelType \
  -TRelation \
! -TRelationBuildDescInfo \
  -TRelationData \
  -TRelationPtr \
  -TRelativeTime \
--- 836,848 ----
  -TReindexStmt \
  -TRelFileNode \
  -TRelIdCacheEnt \
  -TRelOptInfo \
  -TRelOptKind \
  -TRelToCheck \
  -TRelToCluster \
  -TRelabelType \
  -TRelation \
! -TRelationAmInfo \
  -TRelationData \
  -TRelationPtr \
  -TRelativeTime \
***************
*** 1047,1056 ****
  -TRemoveOperStmt \
  -TRenameStmt \
  -TResTarget \
- -TResdom \
  -TResolveNew_context \
  -TResourceOwner \
- -TResourceOwnerData \
  -TResourceReleaseCallback \
  -TResourceReleaseCallbackItem \
  -TResourceReleasePhase \
--- 853,860 ----
***************
*** 1069,1101 ****
  -TRuleInfo \
  -TRuleLock \
  -TRuleStmt \
- -TSHA_CTX \
  -TSHMEM_OFFSET \
  -TSHM_QUEUE \
  -TSISeg \
  -TSMgrRelation \
  -TSMgrRelationData \
  -TSPITupleTable \
- -TSPLITCOST \
  -TSPLITVEC \
  -TSQLFunctionCache \
  -TSQLFunctionCachePtr \
- -TSSL \
- -TSSL2_STATE \
- -TSSL3_BUFFER \
- -TSSL3_RECORD \
- -TSSL3_STATE \
- -TSSL_CIPHER \
- -TSSL_COMP \
- -TSSL_CTX \
- -TSSL_METHOD \
- -TSSL_SESSION \
- -TSTACK \
- -TSTRLEN \
- -TSUBLEXINFO \
- -TSV \
- -TSVOP \
- -TSaveArchivePtr \
  -TScalarArrayOpExpr \
  -TScalarArrayOpExprState \
  -TScalarItem \
--- 873,887 ----
***************
*** 1113,1118 ****
--- 899,907 ----
  -TSeqScanState \
  -TSeqTable \
  -TSeqTableData \
+ -TSetConstraintState \
+ -TSetConstraintStateData \
+ -TSetConstraintTriggerData \
  -TSetFunctionReturnMode \
  -TSetOp \
  -TSetOpCmd \
***************
*** 1122,1137 ****
  -TSetToDefault \
  -TSharedInvalCatcacheMsg \
  -TSharedInvalRelcacheMsg \
  -TSharedInvalidationMessage \
  -TShmemIndexEnt \
  -TShutdownMode \
- -TSigHandler \
- -TSighandler_t \
- -TSigsave_t \
  -TSize \
  -TSlruCtl \
  -TSlruCtlData \
- -TSlruErrorCause \
  -TSlruFlush \
  -TSlruFlushData \
  -TSlruPageStatus \
--- 911,923 ----
  -TSetToDefault \
  -TSharedInvalCatcacheMsg \
  -TSharedInvalRelcacheMsg \
+ -TSharedInvalSmgrMsg \
  -TSharedInvalidationMessage \
  -TShmemIndexEnt \
  -TShutdownMode \
  -TSize \
  -TSlruCtl \
  -TSlruCtlData \
  -TSlruFlush \
  -TSlruFlushData \
  -TSlruPageStatus \
***************
*** 1145,1156 ****
  -TSortClause \
  -TSortFunctionKind \
  -TSortState \
  -TStackElem \
  -TStandardChunkHeader \
  -TStartBlobPtr \
  -TStartBlobsPtr \
  -TStartDataPtr \
- -TStartupPacket \
  -TStdAnalyzeData \
  -TStrategyNumber \
  -TStringInfo \
--- 931,942 ----
  -TSortClause \
  -TSortFunctionKind \
  -TSortState \
+ -TSplitedPageLayout \
  -TStackElem \
  -TStandardChunkHeader \
  -TStartBlobPtr \
  -TStartBlobsPtr \
  -TStartDataPtr \
  -TStdAnalyzeData \
  -TStrategyNumber \
  -TStringInfo \
***************
*** 1159,1269 ****
  -TSubLinkType \
  -TSubPlan \
  -TSubPlanState \
  -TSubqueryScan \
  -TSubqueryScanState \
  -TSysScanDesc \
  -TSysScanDescData \
  -TTAR_MEMBER \
  -TTBlockState \
! -TTStoreState \
! -TTableDataInfo \
  -TTableInfo \
  -TTargetEntry \
- -TTclStubHooks \
- -TTclStubs \
- -TTcl_AppInitProc \
- -TTcl_AsyncHandler \
- -TTcl_AsyncProc \
- -TTcl_CallFrame \
- -TTcl_Channel \
- -TTcl_ChannelProc \
- -TTcl_ChannelType \
- -TTcl_ChannelTypeVersion \
- -TTcl_CloseProc \
- -TTcl_CmdDeleteProc \
- -TTcl_CmdInfo \
- -TTcl_CmdProc \
- -TTcl_CmdTraceProc \
- -TTcl_Command \
- -TTcl_Condition \
- -TTcl_CreateFileHandlerProc \
- -TTcl_DString \
- -TTcl_DeleteFileHandlerProc \
- -TTcl_DriverBlockModeProc \
- -TTcl_DriverClose2Proc \
- -TTcl_DriverCloseProc \
- -TTcl_DriverFlushProc \
- -TTcl_DriverGetHandleProc \
- -TTcl_DriverGetOptionProc \
- -TTcl_DriverHandlerProc \
- -TTcl_DriverInputProc \
- -TTcl_DriverOutputProc \
- -TTcl_DriverSeekProc \
- -TTcl_DriverSetOptionProc \
- -TTcl_DriverWatchProc \
- -TTcl_DupInternalRepProc \
- -TTcl_Encoding \
- -TTcl_EncodingConvertProc \
- -TTcl_EncodingFreeProc \
- -TTcl_EncodingState \
- -TTcl_EncodingType \
- -TTcl_EolTranslation \
- -TTcl_Event \
- -TTcl_EventCheckProc \
- -TTcl_EventDeleteProc \
- -TTcl_EventProc \
- -TTcl_EventSetupProc \
- -TTcl_ExitProc \
- -TTcl_FileFreeProc \
- -TTcl_FileProc \
- -TTcl_FreeInternalRepProc \
- -TTcl_FreeProc \
- -TTcl_HashEntry \
- -TTcl_HashSearch \
- -TTcl_HashTable \
- -TTcl_IdleProc \
- -TTcl_Interp \
- -TTcl_InterpDeleteProc \
- -TTcl_MainLoopProc \
- -TTcl_MathProc \
- -TTcl_Mutex \
- -TTcl_Namespace \
- -TTcl_NamespaceDeleteProc \
- -TTcl_NotifierProcs \
- -TTcl_Obj \
- -TTcl_ObjCmdProc \
- -TTcl_ObjType \
- -TTcl_PackageInitProc \
- -TTcl_PanicProc \
- -TTcl_Parse \
- -TTcl_PathType \
- -TTcl_Pid \
- -TTcl_QueuePosition \
- -TTcl_RegExp \
- -TTcl_RegExpIndices \
- -TTcl_RegExpInfo \
- -TTcl_SavedResult \
- -TTcl_SetFromAnyProc \
- -TTcl_SetTimerProc \
- -TTcl_Stat_ \
- -TTcl_TcpAcceptProc \
- -TTcl_ThreadCreateProc \
- -TTcl_ThreadDataKey \
- -TTcl_ThreadId \
- -TTcl_Time \
- -TTcl_TimerProc \
- -TTcl_TimerToken \
- -TTcl_Token \
- -TTcl_Trace \
- -TTcl_UniChar \
- -TTcl_UpdateStringProc \
- -TTcl_Value \
- -TTcl_ValueType \
- -TTcl_Var \
- -TTcl_VarTraceProc \
- -TTcl_WaitForEventProc \
  -TThingFile \
- -TThread \
  -TTidPath \
  -TTidScan \
  -TTidScanState \
--- 945,966 ----
  -TSubLinkType \
  -TSubPlan \
  -TSubPlanState \
+ -TSubTransactionId \
+ -TSubXactCallback \
+ -TSubXactCallbackItem \
+ -TSubXactEvent \
  -TSubqueryScan \
  -TSubqueryScanState \
  -TSysScanDesc \
  -TSysScanDescData \
  -TTAR_MEMBER \
+ -TTBMIterateResult \
+ -TTBMStatus \
  -TTBlockState \
! -TTIDBitmap \
  -TTableInfo \
  -TTargetEntry \
  -TThingFile \
  -TTidPath \
  -TTidScan \
  -TTidScanState \
***************
*** 1290,1296 ****
  -TTriggerData \
  -TTriggerDesc \
  -TTriggerEvent \
- -TTriggerInfo \
  -TTruncateStmt \
  -TTupOutputState \
  -TTupSortStatus \
--- 987,992 ----
***************
*** 1301,1326 ****
  -TTupleHashEntryData \
  -TTupleHashIterator \
  -TTupleHashTable \
- -TTupleHashTableData \
  -TTupleTable \
  -TTupleTableData \
  -TTupleTableSlot \
  -TTuplesortstate \
  -TTuplestorestate \
  -TType \
  -TTypeCacheEntry \
  -TTypeCast \
  -TTypeInfo \
  -TTypeName \
- -TU16 \
- -TU32 \
- -TU8 \
- -TUI \
- -TUI_METHOD \
- -TUI_STRING \
- -TUNDO_LIST \
- -TUNOP \
- -TUV \
  -TUnique \
  -TUniquePath \
  -TUniquePathMethod \
--- 997,1018 ----
  -TTupleHashEntryData \
  -TTupleHashIterator \
  -TTupleHashTable \
  -TTupleTable \
  -TTupleTableData \
  -TTupleTableSlot \
  -TTuplesortstate \
  -TTuplestorestate \
+ -TTwoPhaseCallback \
+ -TTwoPhaseFileHeader \
+ -TTwoPhaseLockRecord \
+ -TTwoPhaseRecordOnDisk \
+ -TTwoPhaseRmgrId \
  -TType \
  -TTypeCacheEntry \
  -TTypeCast \
+ -TTypeFuncClass \
  -TTypeInfo \
  -TTypeName \
  -TUnique \
  -TUniquePath \
  -TUniquePathMethod \
***************
*** 1328,1334 ****
  -TUnlistenStmt \
  -TUpdateStmt \
  -TUserAuth \
- -TVFunction \
  -TVRelStats \
  -TVTupleLink \
  -TVTupleLinkData \
--- 1020,1025 ----
***************
*** 1355,1421 ****
  -TVariableStatData \
  -TVfd \
  -TViewStmt \
! -TWAIT_ORDER \
  -TWriteBufPtr \
  -TWriteBytePtr \
  -TWriteDataPtr \
  -TWriteExtraTocPtr \
- -TX509 \
- -TX509_ALGOR \
- -TX509_ATTRIBUTE \
- -TX509_CERT_AUX \
- -TX509_CERT_FILE_CTX \
- -TX509_CINF \
- -TX509_CRL \
- -TX509_CRL_INFO \
- -TX509_EXTENSION \
- -TX509_HASH_DIR_CTX \
- -TX509_INFO \
- -TX509_LOOKUP \
- -TX509_LOOKUP_METHOD \
- -TX509_NAME \
- -TX509_NAME_ENTRY \
- -TX509_OBJECT \
- -TX509_OBJECTS \
- -TX509_PKEY \
- -TX509_PUBKEY \
- -TX509_REQ \
- -TX509_REQ_INFO \
- -TX509_REVOKED \
- -TX509_SIG \
- -TX509_STORE \
- -TX509_STORE_CTX \
- -TX509_TRUST \
- -TX509_VAL \
  -TXLogContRecord \
  -TXLogCtlData \
  -TXLogCtlInsert \
  -TXLogCtlWrite \
- -TXLogLongPageHeader \
- -TXLogLongPageHeaderData \
  -TXLogPageHeader \
  -TXLogPageHeaderData \
  -TXLogRecData \
  -TXLogRecPtr \
  -TXLogRecord \
- -TXLogRelCacheEntry \
  -TXLogRelDesc \
  -TXLogwrtResult \
  -TXLogwrtRqst \
- -TXPV \
- -TXPVAV \
- -TXPVBM \
- -TXPVCV \
- -TXPVFM \
- -TXPVGV \
- -TXPVHV \
- -TXPVIO \
- -TXPVIV \
- -TXPVLV \
- -TXPVMG \
- -TXPVNV \
- -TXPVUV \
- -TXRV \
  -TXactCallback \
  -TXactCallbackItem \
  -TXactEvent \
--- 1046,1068 ----
  -TVariableStatData \
  -TVfd \
  -TViewStmt \
! -TWorking_State \
  -TWriteBufPtr \
  -TWriteBytePtr \
  -TWriteDataPtr \
  -TWriteExtraTocPtr \
  -TXLogContRecord \
  -TXLogCtlData \
  -TXLogCtlInsert \
  -TXLogCtlWrite \
  -TXLogPageHeader \
  -TXLogPageHeaderData \
  -TXLogRecData \
  -TXLogRecPtr \
  -TXLogRecord \
  -TXLogRelDesc \
  -TXLogwrtResult \
  -TXLogwrtRqst \
  -TXactCallback \
  -TXactCallbackItem \
  -TXactEvent \
***************
*** 1423,1548 ****
  -TYYSTYPE \
  -TYY_BUFFER_STATE \
  -TYY_CHAR \
- -T_LIB_VERSION_TYPE \
- -T_RuneEntry \
- -T_RuneLocale \
- -T_RuneRange \
  -T_SPI_connection \
  -T_SPI_plan \
! -T_ossl_old_des_cblock \
! -T_ossl_old_des_key_schedule \
  -Taclitem \
  -Tadjust_inherited_attrs_context \
  -Talc_extra \
  -Talloc_func \
- -Tam_extra \
  -Tanyarray \
- -Tassoc_list \
  -Tatc_extra \
  -Tattribute_used_context \
  -TbackslashResult \
- -Tbio_info_cb \
  -Tbitmapword \
  -Tbits16 \
- -Tbits32 \
  -Tbits8 \
  -Tbool \
  -Tbt_incomplete_split \
  -Tbytea \
  -Tcached_re_str \
- -Tcaddr_t \
  -Tcc_t \
  -Tcelt \
  -Tchar \
- -Tcharf \
  -TcheckExprHasAggs_context \
  -Tcheck_parameter_resolution_context \
  -Tcheck_ungrouped_columns_context \
  -Tchr \
- -Tclock_t \
- -Tclockid_t \
  -Tcodes_t \
  -Tcolor \
- -Tcomment_t \
- -Tconst_DES_cblock \
  -Tcontain_var_reference_context \
- -Tcrc64 \
- -Tcv_flags_t \
- -Tdaddr_t \
  -Tdate \
  -Tdatetkn \
  -Tdecimal \
  -Tdeparse_context \
  -Tdeparse_namespace \
  -Tdev_t \
- -Tdiv_t \
  -Tdouble \
  -TevalPlanQual \
  -Teval_const_expressions_context \
- -TexecRowMark \
  -Texecution_state \
- -Texpectation \
  -Tf_smgr \
- -Tfd_mask \
  -Tfd_set \
- -Tfilter_t \
  -Tfinalize_primnode_context \
  -Tfind_expr_references_context \
  -Tfind_minimum_var_level_context \
- -Tfixpt_t \
  -Tflatten_join_alias_vars_context \
  -Tfloat \
- -Tfloat32 \
- -Tfloat32data \
  -Tfloat4 \
- -Tfloat64 \
- -Tfloat64data \
  -Tfloat8 \
! -Tfp_except \
! -Tfp_rnd \
! -Tfpclass_t \
  -Tfpos_t \
  -Tfree_func \
  -Tfsec_t \
  -Tfunc_ptr \
  -Tgenerate_series_fctx \
  -Tgid_t \
  -TgzFile \
  -Thashnode \
  -ThbaPort \
  -Thelp_handler \
  -Tin_addr_t \
  -Tin_port_t \
  -Tinet \
- -Tinet_struct \
  -Tino_t \
  -Tint \
  -Tint16 \
- -Tint16_t \
- -Tint16m_t \
  -Tint2 \
  -Tint2vector \
  -Tint32 \
- -Tint32_t \
- -Tint32m_t \
  -Tint4 \
  -Tint64 \
- -Tint64_t \
- -Tint64m_t \
  -Tint8 \
- -Tint8_t \
- -Tint8m_t \
  -Tinterval \
- -Tintf \
  -TitemIdSort \
  -TitemIdSortData \
- -Tjmp_buf \
  -Tjoin_references_context \
  -Tkey_t \
  -TlclContext \
  -TlclTocEntry \
! -Tldiv_t \
! -Tline_t \
  -Tmacaddr \
  -Tmb2wchar_with_len_converter \
  -Tmbdisplaylen_converter \
--- 1070,1185 ----
  -TYYSTYPE \
  -TYY_BUFFER_STATE \
  -TYY_CHAR \
  -T_SPI_connection \
  -T_SPI_plan \
! -T__builtin_va_list \
! -T__darwin_blkcnt_t \
! -T__darwin_blksize_t \
! -T__darwin_dev_t \
! -T__darwin_gid_t \
! -T__darwin_ino_t \
! -T__darwin_mode_t \
! -T__darwin_off_t \
! -T__darwin_pid_t \
! -T__darwin_pthread_mutex_t \
! -T__darwin_sigset_t \
! -T__darwin_size_t \
! -T__darwin_socklen_t \
! -T__darwin_ssize_t \
! -T__darwin_suseconds_t \
! -T__darwin_time_t \
! -T__darwin_uid_t \
! -T__darwin_va_list \
! -T__darwin_wchar_t \
! -T__int32_t \
! -T__int64_t \
! -T__uint16_t \
! -T__uint32_t \
! -T__uint8_t \
  -Taclitem \
  -Tadjust_inherited_attrs_context \
  -Talc_extra \
  -Talloc_func \
  -Tanyarray \
  -Tatc_extra \
  -Tattribute_used_context \
  -TbackslashResult \
  -Tbitmapword \
  -Tbits16 \
  -Tbits8 \
+ -Tblkcnt_t \
+ -Tblksize_t \
  -Tbool \
  -Tbt_incomplete_split \
  -Tbytea \
  -Tcached_re_str \
  -Tcc_t \
  -Tcelt \
  -Tchar \
  -TcheckExprHasAggs_context \
  -Tcheck_parameter_resolution_context \
  -Tcheck_ungrouped_columns_context \
  -Tchr \
  -Tcodes_t \
  -Tcolor \
  -Tcontain_var_reference_context \
  -Tdate \
  -Tdatetkn \
  -Tdecimal \
  -Tdeparse_context \
  -Tdeparse_namespace \
  -Tdev_t \
  -Tdouble \
  -TevalPlanQual \
  -Teval_const_expressions_context \
  -Texecution_state \
  -Tf_smgr \
  -Tfd_set \
  -Tfinalize_primnode_context \
  -Tfind_expr_references_context \
  -Tfind_minimum_var_level_context \
  -Tflatten_join_alias_vars_context \
  -Tfloat \
  -Tfloat4 \
  -Tfloat8 \
! -TfmNodePtr \
  -Tfpos_t \
  -Tfree_func \
  -Tfsec_t \
  -Tfunc_ptr \
  -Tgenerate_series_fctx \
  -Tgid_t \
+ -TgistIncompleteInsert \
+ -TgistxlogEntryUpdate \
+ -TgistxlogInsertComplete \
+ -TgistxlogPage \
+ -TgistxlogPageSplit \
  -TgzFile \
  -Thashnode \
  -ThbaPort \
  -Thelp_handler \
  -Tin_addr_t \
  -Tin_port_t \
+ -Tindexed_tlist \
  -Tinet \
  -Tino_t \
+ -Tinstr_time \
  -Tint \
  -Tint16 \
  -Tint2 \
  -Tint2vector \
  -Tint32 \
  -Tint4 \
  -Tint64 \
  -Tint8 \
  -Tinterval \
  -TitemIdSort \
  -TitemIdSortData \
  -Tjoin_references_context \
  -Tkey_t \
  -TlclContext \
  -TlclTocEntry \
! -TmXactCacheEnt \
  -Tmacaddr \
  -Tmb2wchar_with_len_converter \
  -Tmbdisplaylen_converter \
***************
*** 1550,1572 ****
  -TmixedStruct \
  -Tmode_t \
  -Tnlink_t \
- -Tnls_uint32 \
  -Tnumeric \
  -Toff_t \
  -Toidvector \
- -Top_tr_array \
- -Topcode \
- -Topindex \
- -ToptType \
  -Tpcolor \
- -Tpem_password_cb \
  -TpgParameterStatus \
  -Tpg_conv_map \
  -Tpg_enc \
  -Tpg_enc2name \
  -Tpg_encname \
  -Tpg_local_to_utf \
  -Tpg_time_t \
  -Tpg_utf_to_local \
  -Tpg_wchar \
  -Tpg_wchar_tbl \
--- 1187,1205 ----
  -TmixedStruct \
  -Tmode_t \
  -Tnlink_t \
  -Tnumeric \
  -Toff_t \
  -Toidvector \
  -Tpcolor \
  -TpgParameterStatus \
  -Tpg_conv_map \
+ -Tpg_crc32 \
  -Tpg_enc \
  -Tpg_enc2name \
  -Tpg_encname \
  -Tpg_local_to_utf \
  -Tpg_time_t \
+ -Tpg_tz \
  -Tpg_utf_to_local \
  -Tpg_wchar \
  -Tpg_wchar_tbl \
***************
*** 1574,1628 ****
  -Tpgsql_thing_t \
  -Tpgthreadlock_t \
  -Tpid_t \
- -Tplperl_proc_desc \
- -Tplpgsql_HashEnt \
- -Tplpgsql_yysigned_char \
- -Tpltcl_proc_desc \
- -Tpltcl_query_desc \
  -Tpqbool \
  -Tpqsigfunc \
  -TprintQueryOpt \
  -TprintTableOpt \
  -TpromptStatus_t \
- -Tpthread_attr_t \
- -Tpthread_cond_t \
- -Tpthread_condattr_t \
- -Tpthread_key_t \
- -Tpthread_mutex_t \
- -Tpthread_mutexattr_t \
- -Tpthread_once_t \
- -Tpthread_t \
- -Tptrdiff_t \
  -Tpull_var_clause_context \
  -Tpull_varnos_context \
- -Tpvcontents \
- -Tq128_t \
- -Tqaddr_t \
- -Tquad_t \
  -TrangeTableEntry_used_context \
  -Treduce_outer_joins_state \
- -Tregcomp_t \
  -Tregex_t \
- -Tregexec_t \
- -Tregexp \
- -Tregister_t \
  -Tregmatch_t \
- -Tregnode \
  -Tregoff_t \
  -Tregproc \
  -Treplace_vars_with_subplan_refs_context \
- -Trewrite_event \
  -Trm_detail_t \
- -Trune_t \
- -Trunops_proc_t \
  -Tsa_family_t \
! -Tsegsz_t \
! -Tsequence_magic \
  -Tsig_atomic_t \
- -Tsig_t \
- -Tsighandler_cxt \
  -Tsigjmp_buf \
- -Tsignedbitmapword \
  -Tsigset_t \
  -Tsize_t \
  -Tslock_t \
--- 1207,1231 ----
  -Tpgsql_thing_t \
  -Tpgthreadlock_t \
  -Tpid_t \
  -Tpqbool \
  -Tpqsigfunc \
  -TprintQueryOpt \
  -TprintTableOpt \
  -TpromptStatus_t \
  -Tpull_var_clause_context \
  -Tpull_varnos_context \
  -TrangeTableEntry_used_context \
  -Treduce_outer_joins_state \
  -Tregex_t \
  -Tregmatch_t \
  -Tregoff_t \
  -Tregproc \
  -Treplace_vars_with_subplan_refs_context \
  -Trm_detail_t \
  -Tsa_family_t \
! -Tsem_t \
  -Tsig_atomic_t \
  -Tsigjmp_buf \
  -Tsigset_t \
  -Tsize_t \
  -Tslock_t \
***************
*** 1632,1687 ****
  -TsqlparseInfo \
  -TsqlparseState \
  -Tssize_t \
- -Tssl_crock_st \
- -Tstack_t \
- -Tstrconst \
  -Tsubstitute_actual_parameters_context \
- -Tsvindex \
- -Tsvtype \
- -Tswblk_t \
  -Ttcflag_t \
- -Ttcp_seq \
  -TteReqs \
  -Ttext \
  -Ttime_t \
  -Ttimestamp \
  -Tts_db_fctx \
  -TuInt \
- -TuIntf \
  -TuLong \
- -TuLongf \
  -Tu_char \
  -Tu_int \
- -Tu_int16_t \
- -Tu_int16m_t \
- -Tu_int32_t \
- -Tu_int32m_t \
- -Tu_int64_t \
- -Tu_int64m_t \
- -Tu_int8_t \
- -Tu_int8m_t \
- -Tu_long \
- -Tu_quad_t \
- -Tu_short \
  -Tuchr \
  -Tuid_t \
- -Tuint \
  -Tuint16 \
  -Tuint32 \
  -Tuint64 \
  -Tuint8 \
- -Tunknown \
- -Tushort \
  -Tva_list \
  -Tvarattrib \
- -Tvm_offset_t \
- -Tvm_size_t \
  -Tvoid \
  -Tvoidp \
  -Tvoidpf \
  -Twchar_t \
- -Twctype_t \
- -Twint_t \
  -Txl_btree_delete \
  -Txl_btree_delete_page \
  -Txl_btree_insert \
--- 1235,1264 ----
  -TsqlparseInfo \
  -TsqlparseState \
  -Tssize_t \
  -Tsubstitute_actual_parameters_context \
  -Ttcflag_t \
  -TteReqs \
  -Ttext \
  -Ttime_t \
  -Ttimestamp \
+ -Ttlist_vinfo \
  -Tts_db_fctx \
  -TuInt \
  -TuLong \
  -Tu_char \
  -Tu_int \
  -Tuchr \
  -Tuid_t \
  -Tuint16 \
  -Tuint32 \
  -Tuint64 \
  -Tuint8 \
  -Tva_list \
  -Tvarattrib \
  -Tvoid \
  -Tvoidp \
  -Tvoidpf \
  -Twchar_t \
  -Txl_btree_delete \
  -Txl_btree_delete_page \
  -Txl_btree_insert \
***************
*** 1690,1710 ****
  -Txl_btree_newroot \
  -Txl_btree_split \
  -Txl_btreetid \
  -Txl_heap_clean \
  -Txl_heap_delete \
  -Txl_heap_header \
  -Txl_heap_insert \
  -Txl_heap_newpage \
  -Txl_heap_update \
  -Txl_heaptid \
  -Txl_seq_rec \
  -Txl_smgr_create \
  -Txl_smgr_truncate \
  -Txl_xact_abort \
  -Txl_xact_commit \
  -Tyy_size_t \
  -Tyy_state_type \
- -Tyysigned_char \
  -Tz_stream \
  -Tz_streamp \
  /tmp/$$a >/tmp/$$ 2>&1
--- 1267,1292 ----
  -Txl_btree_newroot \
  -Txl_btree_split \
  -Txl_btreetid \
+ -Txl_dbase_create_rec \
+ -Txl_dbase_drop_rec \
  -Txl_heap_clean \
  -Txl_heap_delete \
  -Txl_heap_header \
  -Txl_heap_insert \
+ -Txl_heap_lock \
  -Txl_heap_newpage \
  -Txl_heap_update \
  -Txl_heaptid \
+ -Txl_multixact_create \
  -Txl_seq_rec \
  -Txl_smgr_create \
  -Txl_smgr_truncate \
+ -Txl_tblspc_create_rec \
+ -Txl_tblspc_drop_rec \
  -Txl_xact_abort \
  -Txl_xact_commit \
  -Tyy_size_t \
  -Tyy_state_type \
  -Tz_stream \
  -Tz_streamp \
  /tmp/$$a >/tmp/$$ 2>&1
